const express = require('express');
const app = express();
const {port,upload} = require('./config/config')
const Error = require('./middleware/error')
const formidable = require('express-formidable')
const path = require('path')
const cors = require('cors');

const registerRouter = require('./routes/register')
const loginRouter = require('./routes/login')
const shop = require('./routes/shopList')
const detail = require('./routes/detail')
const userInfo = require('./routes/user')
const checkToken = require('./middleware/checkToken')
// 监听端口号
// app.use中的实参一定要是一个定义的函数

app.listen(port)
// 处理图片上传服务
app.use(formidable(upload))
// 处理静态资源  目录可以指定多个
app.use(express.static(path.join(__dirname,'public')))
app.use(express.static(path.join(__dirname,'www')))
app.use(cors())
app.use('/',registerRouter)
app.use('/',loginRouter)
app.use('/',shop)
app.use('/',detail)
app.use(checkToken())
app.use('/',userInfo)


// 错误
app.use(Error())