/**
 * 项目中有多个接口需要验证token，独立封装
 */
const jwt = require('jsonwebtoken');
const {tokenKey} = require('./config')
function checkToken(token,timer){
    return new Promise((resolve,reject)=>{
        jwt.verify(token,tokenKey,function(err,data){
            console.log(data)
            if(err){
                // token 不合法
                reject({
                    code:'0001',
                    message: 'params type error'
                })
                return
            }
            // 验证token是否过期
            if(data.exp<timer){
                // 过期
                reject({
                    code:'5002',
                    message: 'token be overdue'
                })
                return
            }
            resolve({
                code:'2000',
                message:'successfuly',
                data,
            })
        })
    })
}

module.exports = checkToken

// 注意：中间件不处理业务，只对请求参数加工处理