const mysql = require('mysql');
const {mysqlConfig} = require('./config')
const pool = mysql.createPool(mysqlConfig);


let db = {};
db.query = function(sql,params){
    return new Promise((resolve,reject)=>{
        // 获取连接
        pool.getConnection(function(err,Connection){
            if(err){
                reject({
                    code:'5000',
                    message:'server request error 获取数据库连接失败'
                })
                return
            }
            if(typeof sql !== 'string' || !Array.isArray(params)){
                reject({
                    code:'5005',
                    message:'Database storage type error sql/params参数不正确'
                })
                return
            }
            Connection.query(sql,params,function(err,data){
                // console.log(err);
                if(err){
                    reject({
                        code:'5005',
                        message:'Database storage type error'
                    })
                    return
                }
                resolve(data)
            })
        })
    })
}
module.exports = db