// token参数中有token的验证，没有的next()放行
const jwt = require('jsonwebtoken');
const {tokenKey} = require('../config/config')
function checkToken(){
    return function(req,res,next){
       
        // 1.获取接口的请求数据
        let params = req.fields
        // console.log(req.fields);
        // 2.判断token参数是否传入  undefined
        if(typeof params.token === 'undefined'){
            // 2.1 没有token直接放行
            // 当前接口不需要验证token，直接放行
            next()
            return
        }
        // 2.2 有token验证
        // 注意：req.on('data')只会触发一次，如果多个中间件都是用这个req.on，只执行第一个
        req.on('data',function(){
            jwt.verify(params.token,tokenKey,function(err,data){
                // 验证token是否有效
                if(err){
                    req.fields.tokenCode='5001',
                    req.fields.tokenMsg='invalid token'
                    return
                }
                // 验证token是否过期
                timer = Number(new Date().getTime());
                console.log(timer,'----------------');
                if(timer>data.exp){
                    req.fields.tokenCode='5002',
                    req.fields.tokenMsg='token be overdue'
                    return
                }
                // 验证通过
                req.fields.tokenCode='2000',
                req.fields.tokenMsg = 'token is true'
                req.fields.tokenData = data
                next()
            }) 
        })
        res.json({
            
        })
       
    }
}

module.exports = checkToken