const express = require('express');
const app = express();
const router = express.Router();
const db = require('../config/db');

app.use(router)

router.post('/register',function(req,res){
    // 1.接受请求参数
    let params = req.fields;
    // 2.验证userName password是否合法
    // 2.1 参数为空
    if(typeof params.userName == 'undefined' || typeof params.password == 'undefined'){
        res.json({
            code:'0000',
            message:'params empty'
        })
        return
    }
    // 2.2 验证userName password类型
    let userRes = /^\w{6,12}$/.test(params.userName);
    let psdRes = /^\w{6,12}$/.test(params.password);
    if(!userRes || !psdRes){
        res.json({
            code:'0001',
            message:'params type error'
        })
        return
    }
    // 3.验证数据库中用户名是否已经存在
    // 3.1 获取用户表中所有用户信息
    let sql = `select userName from user where userName=?;`
    db.query(sql,[params.userName]).then((data)=>{
        // 3.2 存在 提示已经注册 不存在注册成功
        if(data.length>0){
            res.json({
                code:'2002',
                message:'userName is already exist'
            })
            return
        }
        let sql = `insert into user (userName,password) values(?,?);`
        db.query(sql,[params.userName,params.password]).then(()=>{
            res.json({
                code:'2000',
                message:'register successfully'
            })
        })
    }).catch((err)=>{
        res.json(err)
    })
    
    // 4.通过 存入数据库
    // 5.响应成功
})
module.exports = router