const express = require('express');
const formidable = require('express-formidable')
const app = express();
const router = express.Router();
const db = require('../config/db');

// 创建路由对象
app.use(router)
app.use(formidable())
// 第一个接口
// 获取分页商品列表
router.post('/goodlist',function(req,res){
    let params = req.fields;
    console.log(params);
    // 1.验证是否有page参数
    if(typeof params.page == 'undefined'){
        res.json({
            code:'0000',
            message:'params empty'
        })
        return
    }
    // 2.验证page参数是否为数字字符
    if(!parseInt(params.page)){
        res.json({
            code:'0001',
            message:'params type error'
        })
        return
    }
    // 3.根据page每页返回30条 查询数据库
    let sql = `select * from goods limit ${(params.page-1)*30},${(params.page)*30};`
    db.query(sql,[params.page]).then((data)=>{
        // console.log(data);
        res.json({
            code:'2000',
            message:'get goodlist successfuly',
            data:data
        })
        return 
    }).catch((err)=>{
        console.log(err);
    })
    
})

// 第二个接口
// 增加商品
router.post('/addShop',function(req,res){
    let params = req.fields;
    // let files = req.files;
    console.log(params);
    /**1.1.验证是否有参数
     * "Id": 112,
        "title": "维C之王 猕猴桃干640g",
        "price": "88",
        "mack": "",
        "nice": "40",
        "img_url": "http://bfs.biyao.com/group1/M00/5D/84/rBACW1uvogaAOkdFAAEZRZq6_BY957.jpg",
        "imgs": "[\"http://bfs.biyao.com/group1/M00/5D/84/rBACW1uvogaAOkdFAAEZRZq6_BY957.jpg\",\"http://bfs.biyao.com/group1/M00/5D/84/rBACW1uvohOAJIK7AAEHuy5hO1A799.jpg\"]",
        "img_list_url": "http://bfs.biyao.com/group1/M00/66/7E/rBACVFvarNmAHEWlAAB9LJFc3WA721.jpg",
        "supplier": "Costco制造商直供",
        "type_one": "饮食",
        "type_two": "蜜饯果干"
     */
    let sql = `insert into goods (title,price,mack,nice,img_url,imgs,img_list_url,supplier,type_one,type_two) values(?,?,?,?,?,?,?,?,?,?);`
    db.query(sql,[params.title,params.price,params.mack,params.nice,params.img_url,params.imgs,params.img_list_url,params.supplier,params.type_one,params.type_two]).then((data)=>{
        // console.log(data);
        res.json({
            code:'2000',
            message:'addshop successfuly',
            data:data
        })
        return 
    }).catch((err)=>{
        console.log(err);
        res.json(err)
    })
    
})

// 第三个接口
// 删除商品
router.post('/deleteShop',function(req,res){
    let params = req.fields;
    // let files = req.files;
    console.log(params);
    let sql = `delete from goods where Id=?;`
    db.query(sql,[params.Id]).then((data)=>{
        // console.log(data);
        res.json({
            code:'2000',
            message:'deleteShop successfuly',
            data:data
        })
        return 
    }).catch((err)=>{
        console.log(err);
        res.json(err)
    })
    
})

module.exports = router
